%Read experimental data
clear all;

fid = fopen('c://temp//teste2.dat','r')

count = 100*120;

[a count] = fread(fid,count,'int16');

count

%faz o ajute para os sinais que estao em complemento de 2 para 12 bits
for k=1:count
	if a(k)>2047
		a(k) = a(k)-4096;
	end
end

%sepera os dados e subtrai off-set
%falta corrigir o ganho tenho que ver isso com o Mario
for k=0:(floor(count/120)-1)
	Dado(k+1,:) = a(15+(k*120):120+(k*120))'-a(15+(k*120));
	figure, plot(Dado(k+1,:));
end

%Show first header
a(1:14)

fclose(fid);